#include "view_about.h"



View_about::View_about() {
    builder = Gtk::Builder::create_from_file(path_glade);
    this->settings();
}

View_about::~View_about() {
}

void View_about::lacalization() {
    time_t now = time(0);
    tm *ltm = localtime(&now);
    unsigned int year = 1900 + ltm->tm_year;
    string str_authors = string(copyright) + to_string(year); 
    aboutWindows->set_copyright(str_authors);
    aboutWindows->set_comments(str_setting_user);
    aboutWindows->set_website(website);
    aboutWindows->set_version(_(version_application.c_str()));
    aboutWindows->set_website_label(project_Home_page);
    headerAboutTopic->set_label(_(app_name));
}

void View_about::set_version(string version_application) {
    version_application = version_application;
}

void View_about::show() {
    aboutWindows->show();
}
void View_about::get_builder() {
    builder->get_widget("btnBoxAboutDialog", btnBoxAboutDialog);
    builder->get_widget("aboutWindows", aboutWindows);
    builder->get_widget("headerAboutTopic", headerAboutTopic);
}

void View_about::settings() {
    this->get_builder();
    this->lacalization();
    btnBoxAboutDialog->set_visible(false);
}

View_about* View_about::get_self() {
    return this;
}